package v1

import (
	"cp-system-management-gateway/param/base"
	"cp-system-management-gateway/pb/v1"
)

type CreateOrganizationBody struct {
	OrganizationName string `form:"organization_name" json:"organization_name"`
	Month            int64  `form:"month"`
	IsDisable bool `form:"is_disable" json:"is_disable"`
}

type CreateOrganizationRequest struct {
	base.Header
	CreateOrganizationBody
}

type CreateOrganizationData struct {
	OrganizationCode string `json:"organization_code"`
}

type CreateOrganizationResponse struct {
	base.Result
	Data CreateOrganizationData `json:"data"`
}

type UpdateOrganizationBody struct {
	OrganizationName string `form:"organization_name" json:"organization_name"`
	OrganizationCode string `form:"organization_code" json:"organization_code"`
	IsDisable bool `form:"is_disable" json:"is_disable"`
	Month          int64 `form:"month" json:"month"`
}

type UpdateOrganizationRequest struct {
	base.Header
	UpdateOrganizationBody
}

type UpdateOrganizationResponse struct {
	base.Result
}

type OrganizationListQuery struct {
	Page     int64 `form:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Filter string `form:"filter"`
}

type OrganizationListRequest struct {
	base.Header
	OrganizationListQuery
}

type OrganizationListResponse struct {
	base.Result
	Data v1.OrganizationListReply `json:"data"`
}

type CreateOrganizationUserBody struct {
	OrganizationCode string `form:"organization_code" json:"organization_code"`
	Username         string `form:"username" json:"username"`
	Password         string `form:"password" json:"password"`
	Phone            string `form:"phone" json:"phone"`
	Email            string `form:"email" json:"email"`
}

type CreateOrganizationUserRequest struct {
	base.Header
	CreateOrganizationUserBody
}

type CreateOrganizationUserResponse struct {
	base.Result
	Data v1.CreateOrganizationUserReply `json:"data"`
}

type OrganizationUserListQuery struct {
	Page             int64  `form:"page"`
	PageSize         int64  `form:"page_size" json:"page_size"`
	OrganizationCode string `form:"organization_code" json:"organization_code"`
}

type OrganizationUserListRequest struct {
	base.Header
	OrganizationUserListQuery
}

type OrganizationUserListResponse struct {
	base.Result
	Data v1.OrganizationUserListReply `json:"data"`
}

type OrganizationUserUpdateBody struct {
	OrganizationCode string `form:"organization_code" json:"organization_code"`
	Username         string `form:"username" json:"username"`
	Phone            string `form:"phone" json:"phone"`
	Email            string `form:"email" json:"email"`
	Id               int64  `form:"id" json:"id"`
	Password string `form:"password" json:"password"`
}

type OrganizationUserUpdateRequest struct {
	base.Header
	OrganizationUserUpdateBody
}

type OrganizationUserUpdateResponse struct {
	base.Result
}

type OrganizationUserResetPasswordBody struct {
	OrganizationCode string `form:"organization_code" json:"organization_code"`
	Id               int64  `form:"id" json:"id"`
	Password         string `form:"password" json:"password"`
}

type OrganizationUserResetPasswordRequest struct {
	base.Header
	OrganizationUserResetPasswordBody
}

type OrganizationUserResetPasswordResponse struct {
	base.Result
}
