// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"cp-system-management-gateway/param/base"
)


type LoginBody struct {
	User string `form:"user"`
	Password string `form:"password"`
}

type LoginRequest struct {
	base.Header
	LoginBody
}

type LoginData struct {
	Uid int64 `json:"uid"`
	Token string `json:"token"`
	User string `json:"user"`
}

type LoginResponse struct {
	base.Result
	Data LoginData `json:"data"`
}

type TokenRequest struct {
	base.Header
}

type TokenResponse struct {
	base.Result
	Data string `json:"data"`
	RefreshToken string `json:"refresh_token"`
}


type ResetPasswdBody struct {
	Old string `form:"old"`
	New string `form:"new"`
}

type ResetePasswdRequest struct {
	base.Header
	ResetPasswdBody
}

type ResetePasswdResponse struct {
	base.Result
}

